## ros-noetic-ipa-differential-docking 0.6.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(ipa_differential_docking)

find_package(catkin REQUIRED)

catkin_package()

install(PROGRAMS bin/${PROJECT_NAME}_node
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-noetic-ipa-differential-docking (0.6.12-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@googlemail.com>  Thu, 28 Jul 2022 22:00:00 -0000

ros-noetic-ipa-differential-docking (0.6.11-1buster) buster; urgency=high

  * Merge pull request #57 <https://github.com/ipa320/cob_substitute/issues/57> from fmessmer/substitute/ipa_differential_docking
    substitute for ipa_differential_docking
  * substitute for ipa_differential_docking
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@googlemail.com>  Wed, 22 Dec 2021 23:00:00 -0000

ros-noetic-ipa-differential-docking (0.6.10-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@googlemail.com>  Fri, 16 Oct 2020 22:00:00 -0000

ros-noetic-ipa-differential-docking (0.6.9-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@googlemail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-noetic-ipa-differential-docking (0.6.8-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@googlemail.com>  Mon, 05 Aug 2019 22:00:00 -0000

ros-noetic-ipa-differential-docking (0.6.7-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@googlemail.com>  Sat, 06 Jan 2018 23:00:00 -0000

ros-noetic-ipa-differential-docking (0.6.6-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@googlemail.com>  Mon, 17 Jul 2017 22:00:00 -0000

ros-noetic-ipa-differential-docking (0.6.5-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@googlemail.com>  Sun, 09 Oct 2016 22:00:00 -0000

ros-noetic-ipa-differential-docking (0.6.4-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@googlemail.com>  Sun, 24 Apr 2016 22:00:00 -0000

ros-noetic-ipa-differential-docking (0.6.3-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@googlemail.com>  Thu, 31 Mar 2016 22:00:00 -0000

ros-noetic-ipa-differential-docking (0.6.2-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@googlemail.com>  Mon, 24 Aug 2015 22:00:00 -0000

ros-noetic-ipa-differential-docking (0.6.1-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@googlemail.com>  Tue, 16 Jun 2015 22:00:00 -0000

ros-noetic-ipa-differential-docking (0.6.0-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@googlemail.com>  Tue, 16 Sep 2014 22:00:00 -0000

ros-noetic-ipa-differential-docking (0.5.2-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@googlemail.com>  Sun, 24 Aug 2014 22:00:00 -0000

ros-noetic-ipa-differential-docking (0.5.1-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@googlemail.com>  Wed, 26 Mar 2014 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-ipa-differential-docking
Section: misc
Priority: optional
Maintainer: Felix Messmer <felixmessmer@googlemail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-ipa-differential-docking
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: This package is a substitute for the private implementation of ipa_differential_docking package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-ipa-differential-docking//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
